QCAT - Bug #1810

Technologien zeigen in Summary und View unterschiedliche Institutionen
22 Mar 2018 09:14 - Kurt Gerber

Status: Closed Start date: 22 Mar 2018
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Maintenance Spent time: 0.00 hour
Resolution:

Description

Bei folgenden Fallen:
T 1653, T_1614 und T_1648
wird im Summary GIZ (Usbekistan) angezeigt, in der Web View aber GIZ (Germany).

Wenn der Fall aber im edit modus gedffnet wird, wird wieder GIZ (Usbekistan) angezeigt.

History

#1 - 22 Mar 2018 13:32 - Kurt Gerber

- Assignee changed from Sebastian Manger to Anonymous

Wir haben den Fehler gefunden:

e Grundlage: Die Liste der Insitutionen wird auf der WOCAT Website in Wagtail gepflegt.
e Qcat liest diese Institutionsliste und stellt sie auf QCAT zur Verfiigung.
¢ Wenn einer Technologie eine Insitution hinzugefugt wird, dann ist das bloss eine Art 'Referenz' auf diese Institution in der Inst. liste von WOCAT

¢ Wir haben effektiv einen kleinen Fehler in unserer Applikation gefunden: In der Web Ansicht des Falles, wird nicht die Referenz benutzt um
diese Liste abzufragen, stattdessen wurde die Institution ebenfall in die QCAT Datenbank geschrieben und diese wird dann angezeigt. Das ist
falsch! Beim Summary, wird das aber richtig gemacht: Es zeigt die Institution, wie sie in WOCAT fiir diese Referenz (ID) gefiihrt wird.
Langer Rede kurzer Sinn: Datenbanktechnisch ist GIZ (Uzbekistan) richtig und GIZ (Germany) falsch.
Was ist geschehen?
¢ Die Techologie wurde erfasst und die Institution hiess damals 'GIZ -Germany' oder so &hnlich.
¢ Danach hat jemand in WOCAT Wagtail die Institutionenliste 'aiufgeraumt'. (Wir haben wiederholt auf die Gefahren diesbezlglich aufmerksam
gemacht!)
¢ Dabei hat jemand eine vorhandene Institution Institution umbeannt: von GIZ (Germany) in GIZ (Usbekistan)
Status:
Im Moment sind insgesamt 71 publizierte Falle (Tech. und Approaches) GIZ Uzbekistan zugeteilt.
Davon liegt kein einziger in Uzbekistan.
Lésungsvorschlag:
¢ Die Institution SUBITO auf WOCAT Wagtail wieder zurlickbenennen!
#2 - 22 Mar 2018 15:40 - Sebastian Manger
Ist grundsétzlich geldst: https:/github.com/CDE-UNIBE/qcat/pull/44

Wird verdffentlicht, sobald Lukas das OK gegeben hat & das 'inhaltlich’ OK ist (Alexandra - ich komme noch auf dich zu. Ist so, wie Kurt es oben
geschrieben hat).

#3 - 12 Jul 2019 14:33 - Redmine Admin

- Status changed from Accepted to Resolved

#4 - 12 Jul 2019 14:34 - Redmine Admin

- Status changed from Resolved to Closed
